%global momorel 1
%global md5sum_src0 d240631c93c7d3a0e93cdf66f536073f

Summary: IETF stringprep, nameprep, punycode, IDNA text processing
Name: libidn
Version: 0.6.3
Release: %{momorel}m
URL: http://www.gnu.org/software/libidn/
%NoSource 0 ftp://alpha.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.gz %{md5sum_src0}
#NoSource 0 http://josefsson.org/libidn/releases/%{name}-%{version}.tar.gz
Source1: ja.po
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: gengetopt

%package devel
Summary: Development files for Libidn
Group: Development/Libraries
Requires: %{name} = %{version}

%description
Libidn is a package for internationalized string handling based on the
stringprep, punycode and IDNA specifications.

%description devel
Header files, pkgconfig files and static libraries for libidn.

%prep
%setup -q
cp %{SOURCE1} po/ja.po
echo ja >> po/LINGUAS

%build
%configure \
	--without-lispdir \
#	--enable-gtk-doc
make -C po update-gmo
%make

%install
rm -rf %{buildroot}
%makeinstall
rm -f %{buildroot}%{_infodir}/dir

%clean
rm -rf %{buildroot}

%post
if [ "$1" = 1 ]; then
 /sbin/install-info %{_infodir}/libidn.info %{_infodir}/dir
fi

%preun
if [ $1 = 0 ]; then
 /sbin/install-info --delete %{_infodir}/libidn.info %{_infodir}/dir
fi

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/libidn.a
%{_libdir}/libidn.la
%{_libdir}/libidn.so
%{_libdir}/Libidn.dll

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/libidn.so.*
%{_infodir}/libidn*
%{_mandir}/man*/*
%{_datadir}/locale/*/LC_MESSAGES/libidn.mo
%doc AUTHORS
%doc COPYING.LIB
%doc ChangeLog
%doc FAQ
%doc INSTALL
%doc NEWS
%doc README
%doc README-alpha
%doc THANKS
%doc TODO
%doc doc/libidn.html
%doc doc/libidn.pdf
%doc doc/libidn.ps
%doc doc/specifications
%doc examples
%doc doc/reference
# emacs lisp
%doc src/*.el
# contrib
%doc contrib/
%doc libc/

%changelog
* Tue May 30 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.6.3-1m)
- update to 0.6.3

* Mon May 23 2005 TAKAHASHI Tamotsu <tamo>
- (0.5.16-1m)

* Sat Dec 25 2004 TAKAHASHI Tamotsu <tamo>
- (0.5.12-1m)

* Mon Aug 30 2004 TAKAHASHI Tamotsu <tamo>
- (0.5.4-1m)
- add ja.po (source1)
- From NEWS:
 Fix crash in `idn --tld' command line tool.
 Functions to detect "normalization problem sequences" as per PR-29 added.

* Mon Jun 14 2004 TAKAHASHI Tamotsu <tamo>
- (0.4.9-1m)
- still backward compatible!
- I don't know how to handle java files...

* Mon Mar 22 2004 Toru Hoshina <t@momonga-linux.org>
- (0.3.7-2m)
- revised spec for enabling rpm 4.2.

* Sat Jan 24 2004 TAKAHASHI Tamotsu <tamo>
- (0.3.7-1m)

* Mon Nov 17 2003 TAKAHASHI Tamotsu <tamo>
- (0.3.4-1m)
- update: incompatible changes were made again :(

* Thu Sep 11 2003 TAKAHASHI Tamotsu <tamo>
- (0.2.3a-1m)
- NOT backward compatible

* Thu Jul  3 2003 TAKAHASHI Tamotsu <tamo>
- (0.1.15-1m)
- %%doc *.txt
- libidn.info.* -> libidn.info
- make with _smp_mflags

* Thu Mar 20 2003 TAKAHASHI Tamotsu <tamo>
- (0.1.13-1m)
- from scratch
- a library for international domain name and more...
- emacs lisp files are treated as doc's
- gtk-doc is disabled
- contrib files are under the same license as libidn itself
 (according to contrib/README)
